BeagleWksTextInternal::Section Struct Reference documentation

BeagleWksTextInternal::Section Struct Referencefinal

Internal: a class used to store the section data of a BeagleWksText. More...

Inheritance diagram for BeagleWksTextInternal::Section:

## Public Member Functions
| Section ()
| constructor
| Section (Section const &)=default
Section & | operator= (Section const &)=default
Section & | operator= (Section &&)=default
| ~Section () final
| destructor
MWAWEntry | getEntry (int i) const
| return the i^th entry
MWAWEntry | getHeaderEntry (bool fPage) const
| return the header entry
MWAWEntry | getFooterEntry (bool fPage) const
| return true if we have a header
Public Member Functions inherited from MWAWSection
| MWAWSection ()
| constructor
| MWAWSection (MWAWSection const &)=default
MWAWSection & | operator= (MWAWSection const &)=default
MWAWSection & | operator= (MWAWSection &&)=default
virtual | ~MWAWSection ()
| destructor
void | setColumns (int num, double width, librevenge::RVNGUnit widthUnit, double colSep=0)
| a function which sets n uniform columns
int | numColumns () const
| returns the number of columns
bool | hasSingleColumns () const
| returns the true if the section has only one columns
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
void | addColumnsTo (librevenge::RVNGPropertyListVector &propList) const
| add tabs to the propList
bool | operator!= (MWAWSection const &sec) const
| operator!=
bool | operator== (MWAWSection const &sec) const
| operator==

## Public Attributes
MWAWParagraph | m_ruler
| the default section ruler
bool | m_hasFirstPage
| a flag to know if the first page is special
bool | m_hasHeader
| a flag to know if we need to print the header
bool | m_hasFooter
| a flag to know if we need to print the footer
long | m_limitPos [5]
| the data limits ( first page header, first page footer, header, footer, end)
bool | m_parsed [4]
| true if the data are send to the listener
int | m_heights [2]
| the header/footer height
int | m_pageNumber
| the page number
bool | m_usePageNumber
| true if we need to use the page number
std::string | m_extra
| extra data
Public Attributes inherited from MWAWSection
std::vector< Column > | m_columns
| the different column
double | m_width
| the total section width ( if set )
MWAWBorder | m_columnSeparator
| the vertical separator between columns
bool | m_balanceText
| true if the text is balanced between different columns
MWAWColor | m_backgroundColor
| the background color

## Friends
std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<<

## Detailed Description

Internal: a class used to store the section data of a BeagleWksText.

## Constructor & Destructor Documentation

## ◆ Section() [1/2]

BeagleWksTextInternal::Section::Section | ( |  | ) |
| inline

constructor

Referenced by operator<<, operator=(), operator=(), and Section().

## ◆ Section() [2/2]

BeagleWksTextInternal::Section::Section | ( | Section const & |  | ) |
| default

## ◆ ~Section()

BeagleWksTextInternal::Section::~Section | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getEntry()

MWAWEntry BeagleWksTextInternal::Section::getEntry | ( | int | i | ) | const
| inline

return the i^th entry

Referenced by getEntry(), getFooterEntry(), and getHeaderEntry().

## ◆ getFooterEntry()

MWAWEntry BeagleWksTextInternal::Section::getFooterEntry | ( | bool | fPage | ) | const
| inline

return true if we have a header

## ◆ getHeaderEntry()

MWAWEntry BeagleWksTextInternal::Section::getHeaderEntry | ( | bool | fPage | ) | const
| inline

return the header entry

## ◆ operator=() [1/2]

Section & BeagleWksTextInternal::Section::operator= | ( | Section && |  | ) |
| default

## ◆ operator=() [2/2]

Section & BeagleWksTextInternal::Section::operator= | ( | Section const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Section const & | sec )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string BeagleWksTextInternal::Section::m_extra

extra data

Referenced by operator<<, BeagleWksText::readSection(), and Section().

## ◆ m_hasFirstPage

bool BeagleWksTextInternal::Section::m_hasFirstPage

a flag to know if the first page is special

Referenced by operator<<, BeagleWksText::readSection(), and Section().

## ◆ m_hasFooter

bool BeagleWksTextInternal::Section::m_hasFooter

a flag to know if we need to print the footer

Referenced by operator<<, BeagleWksText::readSection(), and Section().

## ◆ m_hasHeader

bool BeagleWksTextInternal::Section::m_hasHeader

a flag to know if we need to print the header

Referenced by operator<<, BeagleWksText::readSection(), and Section().

## ◆ m_heights

int BeagleWksTextInternal::Section::m_heights[2]

the header/footer height

Referenced by operator<<, BeagleWksText::readSection(), and Section().

## ◆ m_limitPos

long BeagleWksTextInternal::Section::m_limitPos[5]

the data limits ( first page header, first page footer, header, footer, end)

Referenced by getEntry(), operator<<, BeagleWksText::readSection(), and Section().

## ◆ m_pageNumber

int BeagleWksTextInternal::Section::m_pageNumber

the page number

Referenced by operator<<, BeagleWksText::readSection(), and Section().

## ◆ m_parsed

bool BeagleWksTextInternal::Section::m_parsed[4]
| mutable

true if the data are send to the listener

Referenced by Section().

## ◆ m_ruler

MWAWParagraph BeagleWksTextInternal::Section::m_ruler

the default section ruler

Referenced by BeagleWksText::readSection(), and Section().

## ◆ m_usePageNumber

bool BeagleWksTextInternal::Section::m_usePageNumber

true if we need to use the page number

Referenced by operator<<, BeagleWksText::readSection(), and Section().

The documentation for this struct was generated from the following file:

- BeagleWksText.cxx